#include <p33FJ128MC710.h>
extern unsigned char timerpos;
extern unsigned char timerfertig;

//lcd_treiber8bit
extern void write ( unsigned char e,unsigned char rs, unsigned char data );
extern unsigned char read ( unsigned char e,unsigned char rs );
extern unsigned char bfcheck ( unsigned char e );
extern void lcdpos ( unsigned char e, unsigned char y, unsigned char x );
extern void writetext ( unsigned char e, unsigned char text[] );
extern void timer_us ( unsigned char zeit );
extern void timer_ms ( unsigned char zeit );
extern void lcd_init ( void );

//main
extern void main(void);

void _ISR _PWMInterrupt(void)	//Wird erzeugt, wenn die PWM fertig ist.
{

	
}
	
void _ISR _T3Interrupt(void)
{
	_T3IF = 0;
	TMR3 = 0;
switch(timerpos)
{
	case 0: PORTGbits.RG13 = 1;
			timerpos = 1 ; break;
	case 1 : PORTGbits.RG13 = 0;
			timerpos =0;break;
	default: break;
}
}

void _ISR _T4Interrupt ( void )
{
	timerfertig = 1;
	T4CONbits.TON = 0;
	_T4IF = 0;
	return;
}

void _ISR _DefaultInterrupt (void)
{
	INTCON1 = 0b1000000000000000;
	IFS0 = 0;
	IFS1 = 0;
	IFS2 = 0;
	IFS3 = 0;
	IFS4 = 0;
	
	
	return;
}
