#include <p33FJ128MC710.h>

#ifndef _lcd_drive_h_
#define _lcd_drive_h_

//open drain daten
#define _d7open ODCDbits.ODCD7
#define _d6open ODCDbits.ODCD6
#define _d5open ODCDbits.ODCD5
#define _d4open ODCDbits.ODCD4
#define _d3open ODCDbits.ODCD14
#define _d2open ODCDbits.ODCD15
#define _d1open ODCFbits.ODCF4
#define _d0open ODCFbits.ODCF5

// Open Drain kontroller
#define _e1open ODCDbits.ODCD13
#define _e2open ODCDbits.ODCD12
#define _rsopen ODCDbits.ODCD3
#define _rwopen ODCDbits.ODCD2


//Datenschreiben
#define _d7 LATDbits.LATD7
#define _d6 LATDbits.LATD6
#define _d5 LATDbits.LATD5
#define _d4 LATDbits.LATD4
#define _d3 LATDbits.LATD14
#define _d2 LATDbits.LATD15
#define _d1 LATFbits.LATF4
#define _d0 LATFbits.LATF5

//Kontrollerschreiben
#define _e1 LATDbits.LATD13
#define _e2 LATDbits.LATD12
#define _rs LATDbits.LATD3
#define _rw LATDbits.LATD2



//TRIS register
#define _d7tris TRISDbits.TRISD7
#define _d6tris TRISDbits.TRISD6
#define _d5tris TRISDbits.TRISD5
#define _d4tris TRISDbits.TRISD4
#define _d3tris TRISDbits.TRISD14
#define _d2tris TRISDbits.TRISD15
#define _d1tris TRISFbits.TRISF4
#define _d0tris TRISFbits.TRISF5


#define _e1tris TRISDbits.TRISD13
#define _e2tris TRISDbits.TRISD12
#define _rstris TRISDbits.TRISD3
#define _rwtris TRISDbits.TRISD2


//PORT register (daten auslesen)
#define _d7port PORTDbits.RD7
#define _d6port PORTDbits.RD6
#define _d5port PORTDbits.RD5
#define _d4port PORTDbits.RD4
#define _d3port PORTDbits.RD15
#define _d2port PORTDbits.RD14
#define _d1port PORTFbits.RF4
#define _d0port PORTFbits.RF5

#endif
