#include <p33FJ128MC710.h>

//Configbits (so funktionierts)
//finger weg!!!! wenn hier einer was veraendert, schneid ich ihm eigenhaendig die eier ab!!!
	_FSS(RSS_NO_SEC_RAM & SSS_NO_SEC_CODE & SWRP_WRPROTECT_OFF);
	_FGS(GSS_OFF & GCP_OFF & GWRP_OFF);
	_FOSCSEL(FNOSC_PRIPLL & IESO_ON);
	_FOSC(FCKSM_CSECME & OSCIOFNC_OFF & POSCMD_XT);
	_FWDT(FWDTEN_OFF & WINDIS_OFF & WDTPRE_PR32 & WDTPOST_PS1);
	_FPOR(PWMPIN_ON & HPOL_ON & LPOL_ON & FPWRT_PWR128);
	_FICD(BKBUG_ON & COE_ON & JTAGEN_ON & ICS_PGD1);
//ende Configuration bits!!


//headerfiles
#include <stdio.h>
#include <string.h>
//meine headerfiles	
	unsigned int DMA0A,DMA0B;
	unsigned char timerpos;

//externe initalisierungen bekannt geben:

//lcd_treiber8bit
extern void write ( unsigned char e,unsigned char rs, unsigned char data );
extern unsigned char read ( unsigned char e,unsigned char rs );
extern unsigned char bfcheck ( unsigned char e );
extern void lcdpos ( unsigned char e, unsigned char y, unsigned char x );
extern void writetext ( unsigned char e, unsigned char text[] );
extern void timer_us ( unsigned char zeit );
extern void timer_ms ( unsigned char zeit );
extern void lcd_init ( void );

//timerinterrupt
extern void _ISR _PWMInterrupt(void);
extern void _ISR _T3Interrupt(void);
extern void _ISR _T4Interrupt ( void );
extern void _ISR _DefaultInterrupt (void);


//LCD-Treiber modul!

void main(void)
{
	
//void VisualInitialization(void);

//Initalisierung



//Alle ausgaenge auf null
	TRISA = 0x0000;
	TRISB = 0x0000;
	TRISC = 0x0000;
	TRISD = 0x0000;
	TRISE = 0x0000;
	TRISF = 0x0000;
	TRISG = 0x0000;

	PORTA = 0x0000;
	PORTB = 0x0000;
	PORTC = 0x0000;
	PORTD = 0x0000;
	PORTE = 0x0000;
	PORTF = 0x0000;



//Initalisierungen
	lcd_init();
	PORTG = 0b0111000000000000;

	

	//Displayausgabe
	int ausgabe;	
	unsigned char text[80];
	PDC1 = 0xffff;
	PDC2 = 0x7FFF;


while(1)
{
	lcdpos(1,1,0);
	ausgabe = (float)PDC1/65535 * 100;
	sprintf(text[80],"Die 1. PWM hat %d%% Leistung.",ausgabe);
	writetext(1,text);	
	bfcheck(1);
	bfcheck(2);
	lcdpos(1,2,0);
	ausgabe = (float)PDC2/65535 * 100;
	sprintf(text,"Die 2. PWM hat %d%% Leistung.",ausgabe);
	writetext(1,text);
	lcdpos(2,1,0);
	sprintf(text,"Das Register PDC1: %X",PDC1);
	writetext(2,text);
	lcdpos(2,2,0);
	sprintf(text,"LED ist derzeit : %d",timerpos);
	writetext(2,text);
}

}
